net.minecraftforge.client.event.sound

## Class SoundEvent.SoundSourceEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.sound.SoundEvent
    - - net.minecraftforge.client.event.sound.SoundEvent.SoundSourceEvent

- Direct Known Subclasses:
    PlaySoundSourceEvent, PlayStreamingSourceEvent
  Enclosing class:
    SoundEvent

      public static class SoundEvent.SoundSourceEvent
      extends SoundEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.sound.SoundEvent

      `SoundEvent.SoundSourceEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name`
    `ISound` | `sound`
    `java.lang.String` | `uuid`

    - ### Fields inherited from class net.minecraftforge.client.event.sound.SoundEvent

      `manager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoundEvent.SoundSourceEvent(SoundManager manager, ISound sound, java.lang.String uuid)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.client.event.sound.SoundEvent

      `getResult`

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sound

          public final ISound sound

    - #### uuid

          public final java.lang.String uuid

    - #### name

          public final java.lang.String name

  - ### Constructor Detail

    - #### SoundEvent.SoundSourceEvent

          public SoundEvent.SoundSourceEvent(SoundManager manager,
                                     ISound sound,
                                     java.lang.String uuid)